import React from 'react'
import { Sky } from '@react-three/drei'

// TODO add props to change lighting according to real world time
const Lighting: React.FC = () => {
  return (
    <>
      <ambientLight color={0xd3840e} />
      <pointLight position={[0, 20, -30]} color={0xd3840e} />
      <Sky
        distance={5500}
        azimuth={0.25}
        mieDirectionalG={0.83}
        mieCoefficient={0.008}
        inclination={0.5}
        turbidity={8}
        rayleigh={2.9}
      />
    </>
  )
}

export default Lighting
